import { MediaBreakpoints } from './media';
import { TypeScaleBreakpoints } from './typescale';
declare type Direction = 'top' | 'bottom' | 'left' | 'right';
declare const generateSpacingMixins: (typescaleBreakpoints: TypeScaleBreakpoints, mediaBreakpoints: MediaBreakpoints) => ((direction: Direction, rhythmAmount: number) => string)[];
export { generateSpacingMixins };
