import { Breakpoints } from './breakpoints';
declare type ScaleLevel = 'p' | 'h6' | 'h5' | 'h4' | 'h3' | 'h2' | 'h1' | 'hero' | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7;
declare type TypeScale = {
    [type in ScaleLevel]: number;
};
interface TypeScaleBreakpoints {
    readonly [breakpoint: string]: TypeScale;
}
declare const generateTypescale: (breakpoints: Breakpoints) => TypeScaleBreakpoints;
export { TypeScaleBreakpoints, ScaleLevel, generateTypescale };
